=== modified file 'NEWS'
--- NEWS	2007-08-28 07:52:00 +0000
+++ NEWS	2007-08-28 08:23:40 +0000
@@ -46,6 +46,9 @@
 
     * man page no longer lists hidden options (#131667, Aaron Bentley)
 
+    * ``uncommit --help`` now explains the -r option adequately.  (Daniel
+      Watkins, #106726)
+
   IMPROVEMENTS:
 
     * ``pull`` and ``merge`` are much faster at installing bundle format 4.

=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2007-08-21 01:32:29 +0000
+++ bzrlib/builtins.py	2007-08-25 12:54:38 +0000
@@ -3419,7 +3419,11 @@
     --verbose will print out what is being removed.
     --dry-run will go through all the motions, but not actually
     remove anything.
-    
+
+    If --revision is specified, uncommit revisions to leave the branch at the
+    specified revision.  For example, "bzr uncommit -r 15" will leave the
+    branch at revision 15.
+
     In the future, uncommit will create a revision bundle, which can then
     be re-applied.
     """

